<?php
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
global $template, $conf, $user;
include_once(PHPWG_ROOT_PATH .'admin/include/tabsheet.class.php');
load_language('plugin.lang', meta_PATH);
$my_base_url = get_admin_plugin_menu_link(__FILE__);

// +-----------------------------------------------------------------------+
// | Check Access and exit when user status is not ok                      |
// +-----------------------------------------------------------------------+
check_status(ACCESS_ADMINISTRATOR);

//-------------------------------------------------------- sections definitions

// Gestion des onglets
if (!isset($_GET['tab']))
    $page['tab'] = 'gestion';
else
    $page['tab'] = $_GET['tab'];

$tabsheet = new tabsheet();
$tabsheet->add('gestion',
               l10n('meta_onglet_gestion'),
               $my_base_url.'&amp;tab=gestion');
$tabsheet->add('categorie',
               l10n('meta_onglet_categorie'),
               $my_base_url.'&amp;tab=categorie');
$tabsheet->add('image',
               l10n('meta_onglet_image'),
               $my_base_url.'&amp;tab=image');
$tabsheet->add('description',
               l10n('meta_onglet_description'),
               $my_base_url.'&amp;tab=description');
$tabsheet->select($page['tab']);
$tabsheet->assign();

// Onglet gestion des meta
switch ($page['tab'])
{
  case 'gestion':

//charge la liste des meta
$groups = array();
$query = '
select id,metaname
  FROM ' . meta_TABLE . '
  ORDER BY metaname ASC;';
$result = pwg_query($query);

while ($row = mysql_fetch_array($result))
	{
  $groups[$row['id']] = $row['metaname'];
	}

    $selected = 0;
	$options[] = l10n('meta_select2');
	$options['a'] = '----------------------';


  foreach ($groups as $metalist => $metalist2)
	{
    $options[$metalist] = $metalist2;
	}
  $template->assign(
    'gestionA',
    array(
      'OPTIONS' => $options,
      'SELECTED' => $selected
      ));


//edit de meta
if (isset($_POST['submitchoixmeta']) and is_numeric($_POST['metalist']) and (!$_POST['metalist'])==0 and !is_adviser())
	{
$lire=$_POST['metalist'];
	$query = '
select id,metaname,metaval
  FROM ' . meta_TABLE . '
  WHERE id = \''.$lire.'\'
  ;';
$result = pwg_query($query);

$row = mysql_fetch_array($result);
$chname=$row['metaname'];
$chval=$row['metaval'];

  $selected2 = "";
  
  $template->assign(
    'meta_edit',
    array(
      'VALUE' => $chname,
      'CONTENT' => $chval,
      'SELECTED' => $selected2
      ));
	}

//insértion de meta dans la table
if (isset($_POST['submitinsmeta']) and !is_adviser())
	{
	$query = '
UPDATE ' . meta_TABLE . '
  SET metaval= \''.$_POST['inser'].'\'
  WHERE metaname = \''.$_POST['invisible'].'\'
    ;';
$result = pwg_query($query);
	}

    break;

// Onglet gestion des meta categorie
  case 'categorie':

//charge la liste des catégories
$groups = array();
$query = '
select id,name
  FROM ' . CATEGORIES_TABLE . '
  ORDER BY id ASC;';
$result = pwg_query($query);

while ($row = mysql_fetch_array($result))
	{
  $groups[$row['id']] = $row['id'].' : '.$row['name'];
	}
	
	$selected = 0;
	$options[] = l10n('meta_select3');
	$options['a'] = '----------------------';
	
foreach($groups as $listid => $listid2)
	{
    $options[$listid] = $listid2;
	}
  $template->assign(
    'gestionB',
    array(
	  'OPTIONS' => $options,
      'SELECTED' => $selected
      ));
	
	
//edit de categorie
if (isset($_POST['submitchoixcat'])and is_numeric($_POST['metacat']) and (!$_POST['metacat'])==0 and !is_adviser())
	{
$lire=$_POST['metacat'];
	$query = '
select id,name,comment
  FROM ' . CATEGORIES_TABLE . '
  WHERE id = \''.$lire.'\'
  ;';
$result = pwg_query($query);

$row = mysql_fetch_array($result);
$idcat=$row['id'];
$chnamecat=$row['name'];
$chdescat=$row['comment'];
$query = '
select id,metaKeycat,metadescat
  FROM ' . meta_cat_TABLE . '
  WHERE id = \''.$lire.'\'
  ;';
$result = pwg_query($query);
$row = mysql_fetch_array($result);
$idmetaKeycat=$row['id'];
$chvalcat=$row['metaKeycat'];
$chvalcatdes=$row['metadescat'];

  $selected3 = 0;
  
  $template->assign(
    'cat_edit',
    array(
	  'DESC' => $chdescat,
      'VALUE' => $idcat,
	  'VALUEN' => $chnamecat,
      'CONTENT' => $chvalcat,
	  'CONTENT2' => $chvalcatdes,
      'SELECTED' => $selected3
      ));
	}

//insértion de meta de cat dans la table meta_cat
if (isset($_POST['submitinscat']) and !is_adviser())
	{
	$query = '
DELETE 
  FROM ' . meta_cat_TABLE . '
  WHERE id = \''.$_POST['invisible'].'\'
  ;';
$result = pwg_query($query);
	$q = '
INSERT INTO ' . $prefixeTable . 'meta_cat(id,metaKeycat,metadescat)VALUES ('.$_POST['invisible'].',"'.$_POST['inser'].'","'.$_POST['inser2'].'");';
    pwg_query($q);
	}
 
    break;

// Onglet gestion des meta keywords images
  case 'image':

//charge la liste des images
$groups = array();
$query = '
select id,name
  FROM ' . IMAGES_TABLE . '
  ORDER BY id ASC;';
$result = pwg_query($query);

while ($row = mysql_fetch_array($result))
	{
  $groups[$row['id']] = $row['id'].' : '.$row['name'];
	}
	
	$selected = 0;
	$options[] = l10n('meta_selecti3');
	$options['a'] = '----------------------';
	
foreach($groups as $listid => $listid2)
	{
    $options[$listid] = $listid2;
	}
  $template->assign(
    'gestionC',
    array(
	  'OPTIONS' => $options,
      'SELECTED' => $selected
      ));
	
//edit de la meta l'image
if (isset($_POST['submitchoiximg'])and is_numeric($_POST['metaimg']) and (!$_POST['metaimg'])==0 and !is_adviser())
	{
$lire=$_POST['metaimg'];
	$query = '
select id,name,comment,path
  FROM ' . IMAGES_TABLE . '
  WHERE id = \''.$lire.'\'
  ;';
$result = pwg_query($query);

$row = mysql_fetch_array($result);
$idimg=$row['id'];
$chnameimg=$row['name'];
$chdescimg=$row['comment'];
$rootimg=$row['path'];

$query = '
select id,metaKeyimg,metadesimg
  FROM ' . meta_img_TABLE . '
  WHERE id = \''.$lire.'\'
  ;';
$result = pwg_query($query);
$row = mysql_fetch_array($result);
$idmetaKeyimg=$row['id'];
$chvalimg=$row['metaKeyimg'];
$chvalimgdes=$row['metadesimg'];

  $selected3 = 0;
  
  $template->assign(
    'img_edit',
    array(
	  'RIMG' => $rootimg,
	  'DESC' => $chdescimg,
      'VALUE' => $idimg,
	  'VALUEN' => $chnameimg,
      'CONTENT' => $chvalimg,
      'CONTENT2' => $chvalimgdes,
      'SELECTED' => $selected3
      ));
	}

//insértion de meta img dans la table img
if (isset($_POST['submitinsimg']) and !is_adviser())
	{
	$query = '
DELETE 
  FROM ' . meta_img_TABLE . '
  WHERE id = \''.$_POST['invisible'].'\'
  ;';
$result = pwg_query($query);
	$q = '
INSERT INTO ' . $prefixeTable . 'meta_img(id,metaKeyimg,metadesimg)VALUES ('.$_POST['invisible'].',"'.$_POST['inser'].'","'.$_POST['inser2'].'");';
    pwg_query($q);
	}
	
    break;

// Onglet  description
  case 'description':

$blockdesc = 'description';
$template->assign(
	$blockdesc,
	array(
	  'meta'=>l10n('meta_name'),
	  ));
	break;
	
} 

$template->set_filenames(array('plugin_admin_content' => dirname(__FILE__) . '/admin.tpl')); 
$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
?>